Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038792
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-06-19 19:272018-08-08 13:06
ReportergsuarezView Statuspublic 
Assigned Tocollazoandy4 
PriorityimmediateResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisiona0ae932e734f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-09-07
Regression introduced in release3.0PR17Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/9ba0cfebdf14fb6bf6dec4a657674975d16373a2 [^]
Triggers an Emergency PackYes
Summary

0038792: the process "Create price list" increases the product price incrementally

DescriptionRun several times "Create price list" only calculates the price of one product and the other leaves you the same. That is, applying the process many times over the same version, modifies the price of one of the products incrementally.

I can send a video if needed
Steps To Reproduce1. create price list
2. activate checks: default,Sales price list and Price ioncludes Tax
3. create price list version:
                             3.1 create Price list schema
                             3.2 create two lines with two different products
                                 that belong to the same product category
                             3.3 set Unit price discount% = -50
4. assign the previous Price list schema to the version
5. set base version (Default)the version must be of purchase, without activated checks.
6.  click "Create price list" and acept
7.  create the price list well
8.  click again on the button and this modify the price of one of the products
9.  click again on the button
10. the process modifies again the price of one of the products
attached video
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00388783.0PR18Q3 closedcollazoandy4 the process "Create price list" increases the product price incrementally 
depends on backport 00388793.0PR18Q2.1 closedcollazoandy4 the process "Create price list" increases the product price incrementally 
depends on backport 00388803.0PR18Q1.4 closedcollazoandy4 the process "Create price list" increases the product price incrementally 

-  Notes
(0105374)
collazoandy4 (developer)
2018-06-25 22:07

Test Plan
  As F&B International Group Admin Role
  Go to Price List Schema window and create a new record:
    Name: TestListSchema
    Create two new record in Lines tab:
      Product: Bebida Energética 0,5L, Unit Price Discount: 50
      Product: Cola 0,5L, Unit Price Discount: 50
  Go to Price List and create a new record:
    Name: TestPriceList
    Sales Price List: Y
    Price include Taxes: N
    Default: Y
      Create a new record in Price List Version
        Price List Schema: TestListSchema
        Base Version: Tarifa de Ventas
      Run Create Price List process and check two new records created in Product Price tab:
        Product:Bebida Energética 0,5L, Unit Price: 0.75, List Price: 1.49
        Product:Cola 0,5L, Unit Price: 0.42, List Price: 0.83
      Run Create Price List process and check in Product Price tab that the price doesn't increase
(0105578)
hgbot (developer)
2018-07-04 15:23

Repository: erp/devel/pi
Changeset: a0ae932e734ffd5673fc5a725c90f3924f31d238
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jun 25 15:28:36 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/a0ae932e734ffd5673fc5a725c90f3924f31d238 [^]

Fixed issue 38792:The process "Create price list" increases the product price

The process Create Price List was increasing the product price when the price list
schema have two or more lines at product level.

Now the price list schema lines defined at product level is take into account in
the Create Price List process.

A new JUnit test was added to properly check this behavior.

A new preference was created to calculate the product price in a hierarchical way

---
M src-db/database/model/functions/M_PRICELIST_CREATE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-test/src/org/openbravo/test/pricelist/PriceListTest.java
M src-test/src/org/openbravo/test/pricelist/data/PriceListTestConstants.java
M src-test/src/org/openbravo/test/pricelist/data/PriceListTestData.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData17.java
---
(0105579)
hgbot (developer)
2018-07-04 15:23

Repository: erp/devel/pi
Changeset: 493ea476aaad72cecf9c70534885a52121326b7f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Jul 04 09:22:23 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/493ea476aaad72cecf9c70534885a52121326b7f [^]

related to issue 38792 added modulescript with default value of preference

added modulescript with default value of hierarchical price list
preference depends on the openbravo version.

---
A src-util/modulescript/build/classes/org/openbravo/modulescript/HierarchicalPriceListPreference.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/HierarchicalPriceListPreferenceData.class
A src-util/modulescript/src/org/openbravo/modulescript/HierarchicalPriceListPreference.java
A src-util/modulescript/src/org/openbravo/modulescript/HierarchicalPriceListPreference_data.xsql
---
(0105586)
Sandrahuguet (developer)
2018-07-04 15:52

Code review + testing OK
(0105591)
Sandrahuguet (developer)
2018-07-04 16:44

Updated documentation: http://wiki.openbravo.com/wiki/Price_List_Schema [^]
(0106196)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test
(0106197)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-19 19:27 gsuarez New Issue
2018-06-19 19:27 gsuarez Assigned To => Triage Finance
2018-06-19 19:27 gsuarez Web browser => Google Chrome
2018-06-19 19:27 gsuarez Modules => Core
2018-06-19 19:27 gsuarez Triggers an Emergency Pack => No
2018-06-21 08:04 Sandrahuguet Assigned To Triage Finance => collazoandy4
2018-06-21 20:34 gsuarez Web browser Google Chrome => Google Chrome
2018-06-21 20:34 gsuarez Regression level => Production - Confirmed Stable
2018-06-21 20:34 gsuarez Regression introduced in release => pi
2018-06-21 20:34 gsuarez Triggers an Emergency Pack No => Yes
2018-06-21 20:41 gsuarez Web browser Google Chrome => Google Chrome
2018-06-21 20:41 gsuarez Priority urgent => immediate
2018-06-22 20:01 collazoandy4 Status new => scheduled
2018-06-25 13:34 Sandrahuguet Web browser Google Chrome => Google Chrome
2018-06-25 13:34 Sandrahuguet Regression date => 2017-09-07
2018-06-25 13:34 Sandrahuguet Regression introduced in release pi => 3.0PR17Q4
2018-06-25 13:34 Sandrahuguet Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/9ba0cfebdf14fb6bf6dec4a657674975d16373a2 [^]
2018-06-25 22:07 collazoandy4 Note Added: 0105374
2018-07-03 10:28 Sandrahuguet Status scheduled => acknowledged
2018-07-03 10:29 Sandrahuguet Status acknowledged => scheduled
2018-07-04 15:23 hgbot Checkin
2018-07-04 15:23 hgbot Note Added: 0105578
2018-07-04 15:23 hgbot Status scheduled => resolved
2018-07-04 15:23 hgbot Resolution open => fixed
2018-07-04 15:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a0ae932e734ffd5673fc5a725c90f3924f31d238 [^]
2018-07-04 15:23 hgbot Checkin
2018-07-04 15:23 hgbot Note Added: 0105579
2018-07-04 15:52 Sandrahuguet Review Assigned To => Sandrahuguet
2018-07-04 15:52 Sandrahuguet Note Added: 0105586
2018-07-04 15:52 Sandrahuguet Status resolved => closed
2018-07-04 15:52 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-07-04 16:44 Sandrahuguet Note Added: 0105591
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106196
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106197


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker